JaxbManyToOneElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbManyToOneElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbManyToOneElement

    public class JaxbManyToOneElement

extends Object

Java class for many-to-one-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="many-to-one-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
               <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="cascade" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="embed-xml" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fetch" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-attribute" />
           <attribute name="foreign-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="index" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="lazy" type="{http://www.hibernate.org/xsd/hibernate-mapping}lazy-attribute-with-no-proxy" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-found" type="{http://www.hibernate.org/xsd/hibernate-mapping}not-found-attribute" default="exception" />
           <attribute name="not-null" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="optimistic-lock" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="outer-join" type="{http://www.hibernate.org/xsd/hibernate-mapping}outer-join-attribute" />
           <attribute name="property-ref" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unique" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="unique-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="update" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected String` | `cascade`
`protected String` | `clazz`
`protected String` | `column`
`protected List<Object>` | `columnOrFormula`
`protected Boolean` | `embedXml`
`protected String` | `entityName`
`protected JaxbFetchAttribute` | `fetch`
`protected String` | `foreignKey`
`protected String` | `formula`
`protected String` | `index`
`protected Boolean` | `insert`
`protected JaxbLazyAttributeWithNoProxy` | `lazy`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`
`protected String` | `node`
`protected JaxbNotFoundAttribute` | `notFound`
`protected Boolean` | `notNull`
`protected Boolean` | `optimisticLock`
`protected JaxbOuterJoinAttribute` | `outerJoin`
`protected String` | `propertyRef`
`protected Boolean` | `unique`
`protected String` | `uniqueKey`
`protected Boolean` | `update`

Constructor Summary
`JaxbManyToOneElement()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`String` | `getCascade()` Gets the value of the cascade property.
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getColumn()` Gets the value of the column property.
`List<Object>` | `getColumnOrFormula()` Gets the value of the columnOrFormula property.
`String` | `getEntityName()` Gets the value of the entityName property.
`JaxbFetchAttribute` | `getFetch()` Gets the value of the fetch property.
`String` | `getForeignKey()` Gets the value of the foreignKey property.
`String` | `getFormula()` Gets the value of the formula property.
`String` | `getIndex()` Gets the value of the index property.
`JaxbLazyAttributeWithNoProxy` | `getLazy()` Gets the value of the lazy property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`JaxbNotFoundAttribute` | `getNotFound()` Gets the value of the notFound property.
`JaxbOuterJoinAttribute` | `getOuterJoin()` Gets the value of the outerJoin property.
`String` | `getPropertyRef()` Gets the value of the propertyRef property.
`String` | `getUniqueKey()` Gets the value of the uniqueKey property.
`boolean` | `isEmbedXml()` Gets the value of the embedXml property.
`boolean` | `isInsert()` Gets the value of the insert property.
`Boolean` | `isNotNull()` Gets the value of the notNull property.
`boolean` | `isOptimisticLock()` Gets the value of the optimisticLock property.
`boolean` | `isUnique()` Gets the value of the unique property.
`boolean` | `isUpdate()` Gets the value of the update property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setCascade(String value)` Sets the value of the cascade property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setColumn(String value)` Sets the value of the column property.
`void` | `setEmbedXml(Boolean value)` Sets the value of the embedXml property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setFetch(JaxbFetchAttribute value)` Sets the value of the fetch property.
`void` | `setForeignKey(String value)` Sets the value of the foreignKey property.
`void` | `setFormula(String value)` Sets the value of the formula property.
`void` | `setIndex(String value)` Sets the value of the index property.
`void` | `setInsert(Boolean value)` Sets the value of the insert property.
`void` | `setLazy(JaxbLazyAttributeWithNoProxy value)` Sets the value of the lazy property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setNotFound(JaxbNotFoundAttribute value)` Sets the value of the notFound property.
`void` | `setNotNull(Boolean value)` Sets the value of the notNull property.
`void` | `setOptimisticLock(Boolean value)` Sets the value of the optimisticLock property.
`void` | `setOuterJoin(JaxbOuterJoinAttribute value)` Sets the value of the outerJoin property.
`void` | `setPropertyRef(String value)` Sets the value of the propertyRef property.
`void` | `setUnique(Boolean value)` Sets the value of the unique property.
`void` | `setUniqueKey(String value)` Sets the value of the uniqueKey property.
`void` | `setUpdate(Boolean value)` Sets the value of the update property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### columnOrFormula

    protected List<Object> columnOrFormula

### access

    protected String access

### cascade

    protected String cascade

### clazz

    protected String clazz

### column

    protected String column

### embedXml

    protected Boolean embedXml

### entityName

    protected String entityName

### fetch

    protected JaxbFetchAttribute fetch

### foreignKey

    protected String foreignKey

### formula

    protected String formula

### index

    protected String index

### insert

    protected Boolean insert

### lazy

    protected JaxbLazyAttributeWithNoProxy lazy

### name

    protected String name

### node

    protected String node

### notFound

    protected JaxbNotFoundAttribute notFound

### notNull

    protected Boolean notNull

### optimisticLock

    protected Boolean optimisticLock

### outerJoin

    protected JaxbOuterJoinAttribute outerJoin

### propertyRef

    protected String propertyRef

### unique

    protected Boolean unique

### uniqueKey

    protected String uniqueKey

### update

    protected Boolean update

Constructor Detail

### JaxbManyToOneElement

    public JaxbManyToOneElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getColumnOrFormula

    public List<Object> getColumnOrFormula()

  Gets the value of the columnOrFormula property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnOrFormula property.

  For example, to add a new item, do as follows:

          getColumnOrFormula().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `JaxbColumnElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getCascade

    public String getCascade()

  Gets the value of the cascade property.

  Returns:
    possible object is `String`

### setCascade

    public void setCascade(String value)

  Sets the value of the cascade property.

  Parameters:
    `value` - allowed object is `String`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### isEmbedXml

    public boolean isEmbedXml()

  Gets the value of the embedXml property.

  Returns:
    possible object is `Boolean`

### setEmbedXml

    public void setEmbedXml(Boolean value)

  Sets the value of the embedXml property.

  Parameters:
    `value` - allowed object is `Boolean`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchAttribute getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchAttribute`

### setFetch

    public void setFetch(JaxbFetchAttribute value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchAttribute`

### getForeignKey

    public String getForeignKey()

  Gets the value of the foreignKey property.

  Returns:
    possible object is `String`

### setForeignKey

    public void setForeignKey(String value)

  Sets the value of the foreignKey property.

  Parameters:
    `value` - allowed object is `String`

### getFormula

    public String getFormula()

  Gets the value of the formula property.

  Returns:
    possible object is `String`

### setFormula

    public void setFormula(String value)

  Sets the value of the formula property.

  Parameters:
    `value` - allowed object is `String`

### getIndex

    public String getIndex()

  Gets the value of the index property.

  Returns:
    possible object is `String`

### setIndex

    public void setIndex(String value)

  Sets the value of the index property.

  Parameters:
    `value` - allowed object is `String`

### isInsert

    public boolean isInsert()

  Gets the value of the insert property.

  Returns:
    possible object is `Boolean`

### setInsert

    public void setInsert(Boolean value)

  Sets the value of the insert property.

  Parameters:
    `value` - allowed object is `Boolean`

### getLazy

    public JaxbLazyAttributeWithNoProxy getLazy()

  Gets the value of the lazy property.

  Returns:
    possible object is `JaxbLazyAttributeWithNoProxy`

### setLazy

    public void setLazy(JaxbLazyAttributeWithNoProxy value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `JaxbLazyAttributeWithNoProxy`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getNotFound

    public JaxbNotFoundAttribute getNotFound()

  Gets the value of the notFound property.

  Returns:
    possible object is `JaxbNotFoundAttribute`

### setNotFound

    public void setNotFound(JaxbNotFoundAttribute value)

  Sets the value of the notFound property.

  Parameters:
    `value` - allowed object is `JaxbNotFoundAttribute`

### isNotNull

    public Boolean isNotNull()

  Gets the value of the notNull property.

  Returns:
    possible object is `Boolean`

### setNotNull

    public void setNotNull(Boolean value)

  Sets the value of the notNull property.

  Parameters:
    `value` - allowed object is `Boolean`

### isOptimisticLock

    public boolean isOptimisticLock()

  Gets the value of the optimisticLock property.

  Returns:
    possible object is `Boolean`

### setOptimisticLock

    public void setOptimisticLock(Boolean value)

  Sets the value of the optimisticLock property.

  Parameters:
    `value` - allowed object is `Boolean`

### getOuterJoin

    public JaxbOuterJoinAttribute getOuterJoin()

  Gets the value of the outerJoin property.

  Returns:
    possible object is `JaxbOuterJoinAttribute`

### setOuterJoin

    public void setOuterJoin(JaxbOuterJoinAttribute value)

  Sets the value of the outerJoin property.

  Parameters:
    `value` - allowed object is `JaxbOuterJoinAttribute`

### getPropertyRef

    public String getPropertyRef()

  Gets the value of the propertyRef property.

  Returns:
    possible object is `String`

### setPropertyRef

    public void setPropertyRef(String value)

  Sets the value of the propertyRef property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### getUniqueKey

    public String getUniqueKey()

  Gets the value of the uniqueKey property.

  Returns:
    possible object is `String`

### setUniqueKey

    public void setUniqueKey(String value)

  Sets the value of the uniqueKey property.

  Parameters:
    `value` - allowed object is `String`

### isUpdate

    public boolean isUpdate()

  Gets the value of the update property.

  Returns:
    possible object is `Boolean`

### setUpdate

    public void setUpdate(Boolean value)

  Sets the value of the update property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.